/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-06-26 16:27:34 UTC)
 * on 2013-07-29 at 20:39:38 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.youtube.model;

/**
 * Player to be used for a video playback.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the YouTube Data API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class VideoPlayer extends com.google.api.client.json.GenericJson {

  /**
   * An  tag that embeds a player that will play the video.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String embedHtml;

  /**
   * An  tag that embeds a player that will play the video.
   * @return value or {@code null} for none
   */
  public java.lang.String getEmbedHtml() {
    return embedHtml;
  }

  /**
   * An  tag that embeds a player that will play the video.
   * @param embedHtml embedHtml or {@code null} for none
   */
  public VideoPlayer setEmbedHtml(java.lang.String embedHtml) {
    this.embedHtml = embedHtml;
    return this;
  }

  @Override
  public VideoPlayer set(String fieldName, Object value) {
    return (VideoPlayer) super.set(fieldName, value);
  }

  @Override
  public VideoPlayer clone() {
    return (VideoPlayer) super.clone();
  }

}
