/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-06-26 16:27:34 UTC)
 * on 2013-07-29 at 20:39:38 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.youtube.model;

/**
 * Branding properties for the watch.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the YouTube Data API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class WatchSettings extends com.google.api.client.json.GenericJson {

  /**
   * The text color for the video watch page's branded area.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String backgroundColor;

  /**
   * An ID that uniquely identifies a playlist that displays next to the video player.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String featuredPlaylistId;

  /**
   * The background color for the video watch page's branded area.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String textColor;

  /**
   * The text color for the video watch page's branded area.
   * @return value or {@code null} for none
   */
  public java.lang.String getBackgroundColor() {
    return backgroundColor;
  }

  /**
   * The text color for the video watch page's branded area.
   * @param backgroundColor backgroundColor or {@code null} for none
   */
  public WatchSettings setBackgroundColor(java.lang.String backgroundColor) {
    this.backgroundColor = backgroundColor;
    return this;
  }

  /**
   * An ID that uniquely identifies a playlist that displays next to the video player.
   * @return value or {@code null} for none
   */
  public java.lang.String getFeaturedPlaylistId() {
    return featuredPlaylistId;
  }

  /**
   * An ID that uniquely identifies a playlist that displays next to the video player.
   * @param featuredPlaylistId featuredPlaylistId or {@code null} for none
   */
  public WatchSettings setFeaturedPlaylistId(java.lang.String featuredPlaylistId) {
    this.featuredPlaylistId = featuredPlaylistId;
    return this;
  }

  /**
   * The background color for the video watch page's branded area.
   * @return value or {@code null} for none
   */
  public java.lang.String getTextColor() {
    return textColor;
  }

  /**
   * The background color for the video watch page's branded area.
   * @param textColor textColor or {@code null} for none
   */
  public WatchSettings setTextColor(java.lang.String textColor) {
    this.textColor = textColor;
    return this;
  }

  @Override
  public WatchSettings set(String fieldName, Object value) {
    return (WatchSettings) super.set(fieldName, value);
  }

  @Override
  public WatchSettings clone() {
    return (WatchSettings) super.clone();
  }

}
